#pragma once

#include "compareObject.h"
#include "propertiesPages/propertiesData.h"
#include "MudViewString.h"

class Action
{
public:
    Action(const tstring& key, const tstring& value);
    ~Action();
    bool processing(MudViewStringBlock* block, tstring* newcmd );

private:
    CompareObject m_compare;
    tstring m_value;
};


class Sub
{
public:
    Sub(const tstring& key, const tstring& value);
    ~Sub();
    bool processing(MudViewStringBlock* block);

private:
    CompareObject m_compare;
    tstring m_value;
};

class Highlight
{
public:
    Highlight(const tstring& key, const PropertiesHighlight& hl);
    ~Highlight();
    void processing(MudViewString* string);

private:
    CompareObject m_compare;
    PropertiesHighlight m_hl;
};