#pragma once

class Palette256
{
public:
    Palette256(PropertiesData* data) : propData(data)
    {
        assert(data);
        for (tbyte r=0;r<6;++r) {
        for (tbyte g=0;g<6;++g) {
        for (tbyte b=0;b<6;++b) {
        int index = r*36+g*6+b;
            xterm_colors[index] = RGB(r*50,g*50,b*50);
        }}}
        for (tbyte i=216; i<=240; ++i)
        {
            tbyte c = (i - 216) * 10 + 8;
            xterm_colors[i] = RGB(c, c, c);
        }
    }

    COLORREF getColor(tbyte color) const
    {
        if (color >= 0 && color <= 15)    
            return propData->colors[color];    
        return xterm_colors[color-16];
    }

private:   
    PropertiesData *propData;
    COLORREF xterm_colors[240];
};
