#pragma once

#ifndef _UNICODE
#error("Support only unicode version!")
#endif

#define _CRT_SECURE_NO_DEPRECATE         // Disable the CRT deprecation warnings 4996
#define _CRT_NONSTDC_NO_DEPRECATE

#define WINVER		0x0500
#define _WIN32_WINNT	0x0501
#define _WIN32_IE	0x0501
#define _RICHEDIT_VER	0x0200

#include <atlbase.h>
#include <atlapp.h>
extern CAppModule _Module;
#include <atlwin.h>
#include <atlframe.h>
#include <atlctrls.h>
#include <atldlgs.h>
#include <atlctrlw.h>
#include <atlmisc.h>

#include "resource.h"

#include <assert.h>

#include <list>
#include <vector>
#include <string>
#include <algorithm>


typedef std::wstring tstring;
typedef unsigned char tbyte;

#include "../libs/common/memoryBuffer.h"
#include "../libs/common/dataQueue.h"
#include "../libs/common/xmlhelper.h"
#include "../libs/common/pcreHelper.h"

#include "common/common.h"
#include "common/wideToAnsi.h"
#include "common/wideToUtf8.h"
#include "common/bevelLine.h"
#include "common/changeDir.h"
#include "common/paramsHelper.h"

//#include "common/criticalsection.h"
