#pragma once

#include "common/luaSupport.h"

class SystemInterpretatorCallback
{
public:
    virtual void siError(const tstring& cmd, const tstring& error) = 0;
    virtual void siConnect(const tstring& address, int port) = 0;
};

class SystemInterpretator
{
public:
    SystemInterpretator();
    ~SystemInterpretator();
    bool init(SystemInterpretatorCallback* callback);
    void process(const tstring& cmd);

private:
    luaT_State L;
};
